From cea90034342936060dc43f5b4477ae814b3b22bf Mon Sep 17 00:00:00 2001
From: Oliver Sander <sander@igpm.rwth-aachen.de>
Date: Wed, 25 Apr 2012 16:08:38 +0000
Subject: [PATCH] A test suite for parameter studies about the 'wrinkling'
 phenomenon of the Neff shells

[[Imported from SVN: r8632]]
---
 wrinkling_testsuite/testsuite.sh | 59 ++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)
 create mode 100755 wrinkling_testsuite/testsuite.sh

diff --git a/wrinkling_testsuite/testsuite.sh b/wrinkling_testsuite/testsuite.sh
new file mode 100755
index 00000000..ddb8d6f1
--- /dev/null
+++ b/wrinkling_testsuite/testsuite.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+set -e
+
+runComputation(){
+
+numLevels=$1
+L_c=$2
+
+#RESULTPATH=`pwd`/richards_surfacewater_results_${leakage}_${richardsonDamping}/
+LOGFILE="./cosserat_continuum_${L_c}_${numLevels}.log"
+
+#echo $RESULTPATH
+
+# Set up directory where to store the results
+# if ! test -d "$RESULTPATH"; then
+#     mkdir $RESULTPATH
+# fi
+#rm $RESULTPATH/*
+
+#################################################
+#  Make directories for the iterates
+#################################################
+# for i in $(eval echo "{0..$LASTTIMESTEP}"); do
+#     ITERATESDIRNAME=${RESULTPATH}/iterates_$i
+#     if ! test -d ${ITERATESDIRNAME}; then
+#         mkdir ${ITERATESDIRNAME}
+#     fi
+# done
+
+#################################################
+#  run the actual simulation
+#################################################
+
+../cosserat-continuum -numLevels ${numLevels} -materialParameters.L_c ${L_c} | tee ${LOGFILE}
+
+}
+
+
+MAXPROCS=4
+
+
+for numLevels in 1 2; do
+
+    for L_c in 0.5 0.25; do     
+ 
+        # Do one simulation run
+        runComputation $numLevels $L_c  &
+
+        # Never have more than MAXPROCS processes
+        NPROC=$(($NPROC+1))  
+        if [ "$NPROC" -ge "$MAXPROCS" ]; then  
+            wait  
+            NPROC=0  
+        fi  
+      
+    done
+
+done
-- 
GitLab